# Zim - Insert Text

Version of Zim's Insert Symbol plugin that inserts arbitrary text.

### Installation

Copy **inserttext.py** to:
* **Linux:** *~/.local/share/zim/plugins*
* **Windows:** *%USERPROFILE%\AppData\Roaming\zim\data\zim\plugins*

Copy **abbreviations.list** to:
* **Linux:** *~/.config/zim*
* **Windows:** *%USERPROFILE%\AppData\Roaming\zim\config\zim\*

### Usage
The plugin needs abbreviations for it to work. You can create your abbreviations in the `abbreviations.list` file, following the pattern below. You don't need any special characters, but you must keep the text separated by at least one space from the abbreviation. The only character you cannot use is `#`, which works as a comment in the file.

```
Abbreviation     Result
-----------------------------
ex.              Example
ex:              Example:
anot             Another One...
spc              It does support spaces.
fmt!             **Text can be already formatted, but will need an enter or reload.**
```

The abbreviation can then be used inside Zim by typing it followed by space, or by the `Insert > Text...` menu.

### Additional Information
This plugin is a very simple modification of the bundled Insert Symbol plugin, so all credits should go to the original author, Jaap Karssenberg.